Name: H5Tset_pad
Signature:
  herr_t `H5Tset_pad`(hid_t `type_id`, H5T_pad_t `lsb`, H5T_pad_t `msb` )
Purpose:
  Sets the least and most-significant bits padding types.
Description:
  `H5Tset_pad` sets the least and most-significant bits padding types.
  H5T_PAD_ZERO (`0`)
    Set background to zeros.
  H5T_PAD_ONE (`1`)
    Set background to ones.
  H5T_PAD_BACKGROUND (`2`)
    Leave background alone.
Parameters:

hid_t `type_id` | Identifier of datatype to set.
H5T_pad_t `lsb` | Padding type for least-significant bits.
H5T_pad_t `msb` | Padding type for most-significant bits.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5tset_pad_f

      SUBROUTINE h5tset_pad_f(type_id, lsbpad, msbpad, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: type_id ! Datatype identifier
        INTEGER, INTENT(IN) :: lsbpad         ! Padding type of the
                                              ! least significant bit
        INTEGER, INTENT(IN) :: msbpad         ! Padding type of the
                                              ! most significant bit
                                              ! Possible values of padding
                                              ! type are:
                                              !    H5T_PAD_ZERO_F = 0
                                              !    H5T_PAD_ONE_F = 1
                                              !    H5T_PAD_BACKGROUND_F = 2
                                              !    H5T_PAD_ERROR_F = -1
                                              !    H5T_PAD_NPAD_F = 3
        INTEGER, INTENT(OUT) :: hdferr        ! Error code
      END SUBROUTINE h5tset_pad_f